/* Base border colors */

.border-color__main {
  border-color: $color__main;
}

.border-color__secondary {
  border-color: $color__secondary;
}

.border-color__utilitary {
  border-color: $color__utilitary;
}

.border-color__titles {
  border-color: $color__titles;
}

.border-color__text {
  border-color: $color__text;
}

.border-color__link {
  border-color: $color__link;
}

.border-color__grey {
  border-color: $color__grey;
}

.border-color__grey--regent {
  border-color: $color__grey--regent;
}

.border-color__green {
  border-color: $color__green;
}

.border-color__red {
  border-color: $color__red;
}

.border-color__yellow {
  border-color: $color__yellow;
}

.border-color__blue {
  border-color: $color__blue;
}

.border-color__orange {
  border-color: $color__orange;
}

.border-color__pink {
  border-color: $color__pink;
}

.border-color__aqua {
  border-color: $color__aqua;
}

.border-color__white {
  border-color: $color__white;
}

.border-color__black {
  border-color: $color__black;
}

.border-color__transparent {
  border-color: transparent;
}

/* Social networks border colors */

.border-color__facebook {
  border-color: $color__facebook;
}

.border-color__twitter {
  border-color: $color__twitter;
}

.border-color__instagram {
  border-color: $color__instagram;
}

.border-color__youtube {
  border-color: $color__youtube;
}

.border-color__reddit {
  border-color: $color__reddit;
}

.border-color__pinterest {
  border-color: $color__pinterest;
}

.border-color__whatsapp {
  border-color: $color__whatsapp;
}

.border-color__twitch {
  border-color: $color__twitch;
}

.border-color__snapchat {
  border-color: $color__snapchat;
}

/* Hover border colors */

.border-color__main--hover:hover {
  border-color: $color__main;
}

.border-color__secondary--hover:hover {
  border-color: $color__secondary;
}

.border-color__utilitary--hover:hover {
  border-color: $color__utilitary;
}

.border-color__titles--hover:hover {
  border-color: $color__titles;
}

.border-color__text--hover:hover {
  border-color: $color__text;
}

.border-color__link--hover:hover {
  border-color: $color__link;
}

.border-color__grey--hover:hover {
  border-color: $color__grey;
}

.border-color__grey--regent--hover:hover {
  border-color: $color__grey--regent;
}

.border-color__green--hover:hover {
  border-color: $color__green;
}

.border-color__red--hover:hover {
  border-color: $color__red;
}

.border-color__yellow--hover:hover {
  border-color: $color__yellow;
}

.border-color__blue--hover:hover {
  border-color: $color__blue;
}

.border-color__orange--hover:hover {
  border-color: $color__orange;
}

.border-color__pink--hover:hover {
  border-color: $color__pink;
}

.border-color__aqua--hover:hover {
  border-color: $color__aqua;
}

.border-color__white--hover:hover {
  border-color: $color__white;
}

.border-color__black--hover:hover {
  border-color: $color__black;
}

.border-color__transparent--hover:hover {
  border-color: transparent;
}

/* Focus border colors */

.border-color__main--focus:focus {
  border-color: $color__main;
}

.border-color__secondary--focus:focus {
  border-color: $color__secondary;
}

.border-color__utilitary--focus:focus {
  border-color: $color__utilitary;
}

.border-color__titles--focus:focus {
  border-color: $color__titles;
}

.border-color__text--focus:focus {
  border-color: $color__text;
}

.border-color__link--focus:focus {
  border-color: $color__link;
}

.border-color__grey--focus:focus {
  border-color: $color__grey;
}

.border-color__grey--regent--focus:focus {
  border-color: $color__grey--regent;
}

.border-color__green--focus:focus {
  border-color: $color__green;
}

.border-color__red--focus:focus {
  border-color: $color__red;
}

.border-color__yellow--focus:focus {
  border-color: $color__yellow;
}

.border-color__blue--focus:focus {
  border-color: $color__blue;
}

.border-color__orange--focus:focus {
  border-color: $color__orange;
}

.border-color__pink--focus:focus {
  border-color: $color__pink;
}

.border-color__aqua--focus:focus {
  border-color: $color__aqua;
}

.border-color__white--focus:focus {
  border-color: $color__white;
}

.border-color__black--focus:focus {
  border-color: $color__black;
}

.border-color__transparent--focus:focus {
  border-color: transparent;
}
